In-place Cluster Restore
Triggers an in-place restore of the given MongoDB cluster.
For 'Basic' authentication, take your credentials by first combining the username and password with a colon (username:password) and then encoding the resulting string in base64 (YWxhZGRpbjpvcGVuc2VzYW1l).
Example Request Header
Authorization: Basic YWxhZGRpbjpvcGVuc2Vzl
More details: https://en.wikipedia.org/wiki/Basic_access_authentication
The unique ID of the cluster.
The restore request.
The unique ID of the snapshot you want to restore.
dcd31531-3ac8-11eb-9feb-046c59cc737eIf this value is supplied as ISO 8601 timestamp, the backup will be replayed up until the given timestamp.
2023-04-21T13:37:50+01:00Successful operation.
No content
Any erroneous status code: 400 (parse error), 401 (authorization error), 402 (trial access), 403 (insufficient permissions), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type), 422 (validation error), 429 (request rate limit exceeded), 500 (server error), 503 (maintenance)
POST /databases/mongodb/clusters/{clusterId}/restore HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 102
{
"snapshotId": "dcd31531-3ac8-11eb-9feb-046c59cc737e",
"recoveryTargetTime": "2023-04-21T13:37:50+01:00"
}No content
Last updated
Was this helpful?